#property copyright "dd$, invest74.ru"
#property link      "www.invest74.ru"

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 Lime
#property indicator_color2 Orange
#property indicator_color3 Blue
#property indicator_color4 Red
#property indicator_color5 Lime
#property indicator_color6 Orange
#property indicator_color7 Blue
#property indicator_color8 Red

extern int TimeFrame=60,TimeFrame2=240;
extern int MAPeriod=20;
extern int BandsShift=0;
extern int StdDev=2;


double g_ibuf_100[];
double g_ibuf_104[];
double g_ibuf_108[];
double g_ibuf_112[];

double g_ibuf_1001[];
double g_ibuf_1041[];
double g_ibuf_1081[];
double g_ibuf_1121[];

int init() {
   SetIndexBuffer(0, g_ibuf_108);
   SetIndexStyle(0, DRAW_HISTOGRAM);
   SetIndexBuffer(1, g_ibuf_112);
   SetIndexStyle(1, DRAW_HISTOGRAM);
   SetIndexBuffer(2, g_ibuf_100);
   SetIndexBuffer(3, g_ibuf_104);
   
   SetIndexBuffer(4, g_ibuf_1081);
   SetIndexStyle(4, DRAW_HISTOGRAM);
   SetIndexBuffer(5, g_ibuf_1121);
   SetIndexStyle(5, DRAW_HISTOGRAM);
   SetIndexBuffer(6, g_ibuf_1001);
   SetIndexBuffer(7, g_ibuf_1041);
   WaterMark();
   return (0);
}

int deinit() {
   ObjectDelete("www.invest74.ru");
   return (0);
}

int start() {
   int li_0 = IndicatorCounted();
   if (li_0 < 0) return (-1);
   if (li_0 > 0) li_0--;
   int li_4 = Bars - li_0;
   for (int li_8 = li_4; li_8 >= 0; li_8--) {

      g_ibuf_100[li_8] = iBands(NULL,TimeFrame,MAPeriod,StdDev,BandsShift,0,2,li_8*Period()/TimeFrame);
      g_ibuf_104[li_8] = iBands(NULL,TimeFrame2,MAPeriod,StdDev,BandsShift,0,2,li_8*Period()/TimeFrame2);
      g_ibuf_108[li_8] = g_ibuf_100[li_8];
      g_ibuf_112[li_8] = g_ibuf_104[li_8];
      
      g_ibuf_1001[li_8] = iBands(NULL,TimeFrame,MAPeriod,StdDev,BandsShift,0,1,li_8*Period()/TimeFrame);
      g_ibuf_1041[li_8] = iBands(NULL,TimeFrame2,MAPeriod,StdDev,BandsShift,0,1,li_8*Period()/TimeFrame2);
      g_ibuf_1081[li_8] = g_ibuf_1001[li_8];
      g_ibuf_1121[li_8] = g_ibuf_1041[li_8];
   }
   return (0);
}

void WaterMark() {
   string gs_80 = "www.invest74.ru";
   if (ObjectFind(gs_80) == -1) ObjectCreate(gs_80, OBJ_LABEL, 0, 0, 0);
   ObjectSet(gs_80, OBJPROP_CORNER, 2);
   ObjectSet(gs_80, OBJPROP_XDISTANCE, 3);
   ObjectSet(gs_80, OBJPROP_YDISTANCE, 3);
   ObjectSet(gs_80, OBJPROP_COLOR, DodgerBlue);
   ObjectSetText(gs_80, "www.invest74.ru", 8, "Arial", Crimson);
}